libnvme(2)

NAME
struct nvme_mi_vpd_hdr - Vital Product Data Common Header

SYNOPSIS
struct nvme_mi_vpd_hdr {
__u8 ipmiver;
__u8 iuaoff;
__u8 ciaoff;
__u8 biaoff;
__u8 piaoff;
__u8 mrioff;
__u8 rsvd6;
__u8 chchk;
__u8 vpd[];
};

Members

ipmiver
    IPMI Format Version Number

iuaoff
    Internal Use Area Starting Offset

ciaoff
    Chassis Info Area Starting Offset

biaoff
    Board Info Area Starting Offset

piaoff
    Product Info Area Starting Offset

mrioff
    MultiRecord Info Area Starting Offset

rsvd6
    Reserved

chchk
    Common Header Checksum

vpd Vital Product Data